(function(){
	tibh.ui = {};
		
	tibh.ui.createApplicationTabGroup = function()
	{		
		tibh.fugitivesTab = Titanium.UI.createTab({  
		    title: L('fugitives_tab_title'),
		    window: tibh.ui.createBountyWindow(false)
		});
		
		tibh.capturedTab = Titanium.UI.createTab({  
		    title: L('captured_tab_title'),
		    window: tibh.ui.createBountyWindow(true)
		});
		var tabGroup = Titanium.UI.createTabGroup();
		tabGroup.addTab(tibh.fugitivesTab);  
		tabGroup.addTab(tibh.capturedTab);
		return tabGroup;
	};
	
	tibh.ui.createBountyWindow = function(/*boolean*/ captured)
	{
		var win = Titanium.UI.createWindow({
		    backgroundColor:'#fff',
			fullscreen: false
		});
		
		win.add(tibh.ui.createBountyTableView(captured));
	
		if(Titanium.Platform.osname === 'iphone')
		{
			if(captured)
			{
				win.title = L('captured_win_title');
			}else
			{
				win.title = L('fugitives_win_title');
			}
			var addButton = Ti.UI.createButton({title: L('add_button_title'), style: Titanium.UI.iPhone.SystemButtonStyle.PLAIN});
			win.setRightNavButton(addButton);
			addButton.addEventListener('click', function(e)
			{
				tibh.ui.createAddWindow().open();
			});
		}
		else if(Titanium.Platform.osname === 'android')
		{
			Ti.API.debug("info","android");
			win.activity.onCreateOptionsMenu = function(e) {
				Ti.API.debug("info","create menu");
			    var menu = e.menu;
			    var menuItem = menu.add({ title: L('add_button_title') });
			    menuItem.addEventListener("click", function(e) {
			        Ti.API.debug("info","I was clicked");
					tibh.ui.createAddWindow().open();
			    });
			};
		}
		return win;
	};
	
	tibh.ui.createDetailWindow = function(/*Boolean*/ captured, /*Object*/ bounty)
	{
		var win = Titanium.UI.createWindow({
			backgroundColor: "#fff",
		 	layout: 'vertical',
			fullscreen: false,
			title: bounty.title
		});
		
		var label= Titanium.UI.createLabel({
			height: 40,
			width: 200,
			textAlign: 'center'
		});
		win.add(label);
				
		if(captured)
		{
			label.text = L("busted");
		}
		else
		{
			label.text = L("still_at_large");
			var captureButton = Titanium.UI.createButton({
				title: L('capture_button_title'),
				height: 40,
				width: 200
			});
			win.add(captureButton);
		}

		var deleteButton = Titanium.UI.createButton({
			title: L('delete_button_title'),
			height: 40,
			width: 200
		});
		deleteButton.addEventListener('click', function() {
			
		});
		win.add(deleteButton);
		
		return win;
	};
	
	tibh.ui.createBountyTableView = function(/*boolean*/ captured)
	{
		var data = [
					{title: "Jeff Haynie", hasChild: true},
					{title: "Nolan Wright", hasChild: true},
					{title: "Marshall Culpepper", hasChild: true},
					{title: "Don Thorp", hasChild: true},						
					{title: "Blain Hamon", hasChild: true}
					];

		var table = Titanium.UI.createTableView({data: data});
		table.addEventListener('click',function(e){
			Ti.API.log('log',e.index);
			Ti.API.log('log',e.rowData);
			if(captured)
			{
				Ti.API.log('log','open detail window in capturedTab');
				tibh.capturedTab.open(tibh.ui.createDetailWindow(captured, e.rowData));
			}
			else
			{
				Ti.API.log('log','open detail window in fugitivesTab');
				tibh.fugitivesTab.open(tibh.ui.createDetailWindow(captured, e.rowData));
			}
		});
		return table;
	};
	
	tibh.ui.createAddWindow = function()
	{	
		var win = Titanium.UI.createWindow({
			title: L("add_fugitive_win_title"),
			modal: true,
			backgroundColor: '#fff'
		});
		if(Titanium.Platform.osname === 'iphone')
		{
			var closeButton = Ti.UI.createButton({title: L('close_button_title'), style: Titanium.UI.iPhone.SystemButtonStyle.PLAIN});
			win.setRightNavButton(closeButton);
			closeButton.addEventListener('click', function(e)
			{
				win.close();
			});
		}
		return win;
	};
	
})();